TEMPLATE	= lib
CONFIG		+= qt warn_on dll link_prl
TARGET 		= qsa
VERSION  	= 1.0.0
DESTDIR		= $$(QTDIR)/lib
DLLDESTDIR	= $$(QTDIR)/bin

HEADERS		= \
		  qsproject.h \
		  qsinterpreter.h \
		  qsobjectfactory.h \
		  qswrapperfactory.h \
		  qsinterfacefactory_p.h \
		  qseditor.h \
		  qsargument.h \
                  qstoolkitfactory.h

SOURCES		= \
		  qsproject.cpp \
		  qsinterpreter.cpp \
		  qsobjectfactory.cpp \
		  qswrapperfactory.cpp \
		  qsinterfacefactory.cpp \
		  qseditor.cpp \
		  qsargument.cpp \
                  qstoolkitfactory.cpp

win32:DEFINES	+= QSA_DLL
win32:DEFINES	+= QUICKCORE_DLL
# win32-msvc.net:QMAKE_LFLAGS += /FORCE:MULTIPLE
# win32-msvc.net:QMAKE_LFLAGS += /INCREMENTAL:no /FIXED:no

# I think this belongs here
isEmpty(QT_SOURCE_TREE):QT_SOURCE_TREE=$(QTDIR)
isEmpty(QT_INSTALL_PREFIX):QT_INSTALL_PREFIX=$(QTDIR)

INCLUDEPATH	+= ../engine \
		   $$QT_SOURCE_TREE/tools/designer/interfaces \
		   ../../tools/designer/interfaces \
		   ../kernel \
		    . \
		    $$QT_SOURCE_TREE/tools/designer/designer \
		    ../../tools/designer/designer \
		    ../extensions

DEFINES += HAVE_CONFIG_H QSDEBUGGER
DEFINES += QT_INTERNAL_XML
DEFINES += QT_INTERNAL_WORKSPACE
DEFINES += QT_INTERNAL_ICONVIEW
DEFINES += QT_INTERNAL_TABLE
win32-msvc:DEFINES+=Q_TEMPLATE_EXTERN=extern

LIBS += -L$${QT_INSTALL_PREFIX}/lib
unix {
	!hpux-acc:LIBS += -ldesigner -lqui
	hpux-acc:LIBS += -Wl,-a,default -ldesigner
}	
win32:LIBS += -ldesignerlib -lqui -lqassistantclient
KERNELDIR	= ../kernel
include( ../kernel/kernel.pri )
EXTDIR 		= ../extensions
include( ../extensions/extensions.pri )
